/*
 * Copyright (c) 2020 by Gerrit Grunwald
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package eu.hansolo.fx.charts.tools;

public class Pair<T,U> {
    private T key;
    private U value;


    public Pair(final T key, final U value) {
        this.key   = key;
        this.value = value;
    }


    public T getKey() { return key; }
    public void setKey(final T key) { this.key = key; }

    public U getValue() { return value; }
    public void setValue(final U value) { this.value = value; }
}
